# $Revision: 1.28 $, $Date: 2005/10/28 23:28:58 $
Summary:	Graphics file browser utility
Summary(pl):	Narzdzie do przegldania plikw graficznych przy pomocy OpenGL
Name:		gliv
Version:	1.9.3
Release:	1
License:	GPL
Group:		X11/Applications/Multimedia
Vendor:		Guillaume Chazarain <booh@altern.org>
Source0:	http://guichaz.free.fr/gliv/%{name}-%{version}.tar.bz2
# Source0-md5:	3840a547cdc679c5a592d30040b9f6b5
URL:		http://guichaz.free.fr/gliv/
BuildRequires:	automake
BuildRequires:	gtk+2-devel >= 2:2.4.0
BuildRequires:	gtkglext-devel >= 1.0.0
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%description
GLiv is an OpenGL image viewer, image loading is done through
Gdk-pixbuf (standalone or bundled with GTK+-2), rendering through
OpenGL and the graphical user interface uses GTK+ with the GtkGLArea
widget. If Gdk-pixbuf cannot load your image, it uses ImageMagick to
convert it to PNG. GLiv is very fast and smooth at rotating, panning
and zooming if you have an OpenGL accelerated board.

%description -l pl
Gliv jest przegldark obrazkw uywajc OpenGL; adowanie obrazka
odbywa si poprzez Gdk-pixbuf (samodzielny lub zwizany z GTK+-2),
renderowanie poprzez OpenGL, a interfejs graficzny uytkownika uywa
GTK+ z GtkGLArea. Jeli Gtk-pixbuf nie moe zaadowa obrazka,
wywouje ImageMagick aby dokona jego konwersji na format PNG. GLiv
jest bardzo szybki, pynnie wykonuje rotacje, przesuwa aktualnie
wizualizowany fragment w oknie, powikszanie i zmniejszanie - jeli
posiadasz akcelerator.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.* .
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README NEWS THANKS
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/*
%lang(de) %{_mandir}/de/man1/*
%lang(fr) %{_mandir}/fr/man1/*
%lang(ru) %{_mandir}/ru/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gliv.spec,v $
Revision 1.28  2005/10/28 23:28:58  qboosh
- updated to 1.9.3

Revision 1.27  2005/03/28 11:34:08  adamg
- updated to 1.9.2

Revision 1.26  2005/01/05 16:07:07  adamg
- updated to 1.9.1

Revision 1.25  2004/11/27 18:52:06  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.24  2004/08/05 07:59:44  undefine
- update to 1.8.4

Revision 1.23  2004/01/20 23:17:51  qboosh
- refresh config.* for amd64

Revision 1.22  2003/12/03 18:03:44  qboosh
- updated to 1.8, BR: pkgconfig

Revision 1.21  2003/12/02 23:46:27  qboosh
- typos

Revision 1.20  2003/06/16 06:21:30  trojan
- fixed BR

Revision 1.19  2003/05/26 16:25:02  malekith
- massive attack: adding Source-md5

Revision 1.18  2003/05/25 05:48:00  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/05/19 11:57:07  wiget
- fixed BRs

Revision 1.16  2003/05/19 11:50:21  trojan
- added BR: gtkglext-devel

Revision 1.15  2003/05/19 10:24:59  trojan
- removed outdated patch

Revision 1.14  2003/05/19 10:15:42  trojan
- updated to 1.7.1
- added %%find_lang macro

Revision 1.13  2003/01/18 22:48:36  juandon
- removed two lines with define

Revision 1.12  2002/10/09 13:14:25  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.11  2002/06/23 20:52:50  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.10  2002/05/22 14:16:36  kloczek
- use new %doc packing infrastructure.

Revision 1.9  2002/05/21 23:13:12  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.8  2002/05/16 11:02:19  pioklo
-up to 1.5.2,STBR

Revision 1.7  2002/04/25 15:17:34  kloczek
- added full regenerate ac/am/lt files (added AM_INIT_AUTOMAKE patch).

Revision 1.6  2002/04/25 13:21:37  marcus
- rel.2

Revision 1.5  2002/04/02 13:25:45  qboosh
- fixed broken pl description, group and prefix changed to X11
- added Source URL, removed COPYING from doc (known - GPL)

Revision 1.4  2002/04/01 10:44:03  pioklo
- cosmetics

Revision 1.3  2002/03/29 21:29:28  pioklo
- added description pl :)

Revision 1.2  2002/03/29 21:11:27  pioklo
- fix %build section

Revision 1.1  2002/03/29 20:29:53  pioklo
- new PLD spec
- rel 1 STBR
